Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.types
Class ExtendedEnumType<T extends Enum<T>>

    java.lang.Object
      org.apache.cayenne.access.types.ExtendedEnumType<T>

All Implemented Interfaces:
  ExtendedType

    public class ExtendedEnumType<T extends Enum<T>>

extends Object
implements ExtendedType

An ExtendedType that handles a Java Enum based upon the Cayenne ExtendedEnumeration interface. The ExtendedEnumeration interface requires the developer to specify the database values for the Enum being mapped. This ExtendedType is used to auto-register those Enums found in the model.

Requires Java 1.5 or newer

Since:
  3.0
Author:
  Michael Gentry

Constructor Summary
`ExtendedEnumType(Class<T> enumerationClass)`

Method Summary
`String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
`Map<Object,Enum<T>>` | `getEnumerationMappings()` Returns the enumeration mapping for this enumerated data type.
`Object[]` | `getValues()`
`Object` | `materializeObject(CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`Object` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
`void` | `setJdbcObject(PreparedStatement statement, Object value, int pos, int type, int precision)` Initializes a single parameter of a PreparedStatement with object value.
`boolean` | `validateProperty(Object source, String property, Object value, DbAttribute dbAttribute, ValidationResult validationResult)` Deprecated. since 3.0 as validation should not be done at the DataNode level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedEnumType

    public ExtendedEnumType(Class<T> enumerationClass)

Method Detail

### getClassName

    public String getClassName()

  Description copied from interface: `ExtendedType`
  Returns a full name of Java class that this ExtendedType supports.

  Specified by:
    `getClassName` in interface `ExtendedType`

### materializeObject

    public Object materializeObject(ResultSet rs,
                                    int index,
                                    int type)
                             throws Exception

  Description copied from interface: `ExtendedType`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    public Object materializeObject(CallableStatement rs,
                                    int index,
                                    int type)
                             throws Exception

  Description copied from interface: `ExtendedType`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### setJdbcObject

    public void setJdbcObject(PreparedStatement statement,
                              Object value,
                              int pos,
                              int type,
                              int precision)
                       throws Exception

  Description copied from interface: `ExtendedType`
  Initializes a single parameter of a PreparedStatement with object value.

  Specified by:
    `setJdbcObject` in interface `ExtendedType`
  Throws:
    `Exception`

### validateProperty

    public boolean validateProperty(Object source,
                                    String property,
                                    Object value,
                                    DbAttribute dbAttribute,
                                    ValidationResult validationResult)

  Deprecated. since 3.0 as validation should not be done at the DataNode level.

  Description copied from interface: `ExtendedType`
  Performs validation of an object property. Property is considered valid if this it satisfies the database constraints known to this ExtendedType. In case of validation failure, failures are appended to the ValidationResult object and `false` is returned.

  Specified by:
    `validateProperty` in interface `ExtendedType`

### getEnumerationMappings

    public Map<Object,Enum<T>> getEnumerationMappings()

  Returns the enumeration mapping for this enumerated data type. The key is the database value, the value is the actual enum.

### getValues

    public Object[] getValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.